Bug 169313 - [MediaStream] Compensate for video capture orientation
Summary: [MediaStream] Compensate for video capture orientation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media Elements (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-03-07 15:19 PST by Eric Carlson
Modified: 2017-03-20 10:13 PDT (History)
3 users (show)

See Also:


Attachments
Proposed patch. (37.42 KB, patch)
2017-03-17 13:23 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing. (37.44 KB, patch)
2017-03-17 13:58 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2017-03-07 15:19:42 PST
Captured video frames may need to be rotated for display.
Comment 1 Radar WebKit Bug Importer 2017-03-11 13:34:43 PST
<rdar://problem/30994785>
Comment 2 Eric Carlson 2017-03-17 13:23:56 PDT
Created attachment 304815 [details]
Proposed patch.
Comment 3 Eric Carlson 2017-03-17 13:58:14 PDT
Created attachment 304822 [details]
Patch for landing.
Comment 4 WebKit Commit Bot 2017-03-17 14:14:32 PDT
Comment on attachment 304822 [details]
Patch for landing.

Clearing flags on attachment: 304822

Committed r214120: <http://trac.webkit.org/changeset/214120>
Comment 5 Eric Carlson 2017-03-17 17:34:43 PDT
Plus r214130 to fix a crash found by the bots.